Bug 806077 - Process instance doesn't survive server restart
Process instance doesn't survive server restart
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 16:36 EDT by Jiri Locker
Modified: 2016-09-20 01:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SimpleProcess.bpmn2 (4.17 KB, application/xml)
2012-03-22 16:36 EDT, Jiri Locker
no flags Details
process does not finish (17.88 KB, image/png)
2012-03-22 16:37 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-03-22 16:36:09 EDT
Created attachment 572079 [details]
SimpleProcess.bpmn2

Description of problem:
Running process instances are not picked up by the engine after server restart. I have a simple process with a single human task node between start and end nodes. After starting the process it is immediately persisted and waits for completion of the task node. At this point the server is restarted. When I complete the task now I expect the process will continue and end.

After restarting the server, jBPM console correctly reports the running process instance and a pending task node but completing the task has no effect on the process instance. It will hang there forever.

The ability of the jBPM engine to pick up process instances that were initiated by a different engine inside the same persistent knowledge session is necessary if we aim to support jBPM fail-over inside app server cluster.


Version-Release number of selected component (if applicable):
ER5


How reproducible:
always

Steps to Reproduce:
1. start the attached process
2. restart the server
3. complete the human task, process instance doesn't finish (see attached screenshot)
  
Actual results:
It isn't possible to continue the process instance after restarting the server.

Expected results:
After restarting the server, jBPM should restore all persisted process instances and continue executing them.

In step 3 the process should finish after the task is completed.

Additional info:
Comment 1 Jiri Locker 2012-03-22 16:37:46 EDT
Created attachment 572080 [details]
process does not finish
Comment 2 Maciej Swiderski 2012-03-27 07:46:31 EDT
Problem is due to session is initialized on first access of Process Overview and that's why when completing task directly after server restart process is not triggered as there is no session available.

So when user first access process overview instead to activate the session process instance will be resumed after completing the task. Nevertheless this is not desired to have to go to process tab to complete a task.

Will make task management to be session initializer as well so regardless of accessing task or process management in console session will be already available.
Comment 3 Maciej Swiderski 2012-03-27 08:58:22 EDT
Pull request prepared, can be found at: https://github.com/droolsjbpm/jbpm/pull/65
Comment 5 Marco Rietveld 2012-04-03 12:52:18 EDT
This pull request has been merged into the 5.2.x and master branches.
Comment 6 Ryan Zhang 2012-04-23 03:37:10 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 7 Jiri Locker 2012-05-09 09:17:20 EDT
Verified in ER6.

Note You need to log in before you can comment on or make changes to this bug.